<template >
  <card type="default" header-classes="bg-transparent" class="border border-white;">
    <b-row align-v="center" slot="header">
     &nbsp;&nbsp;<h5 class="h3 mb-0 text-white">CONSOLIDATED PROJECT SUMMARY</h5>
    </b-row>
    <b-row>
      <b-col xl="8">
        <apexchart type="donut" width="100%" height="300px" :options="ChartOptions" :series="series"></apexchart>
      </b-col>
      <b-col xl="4">
        <b-row>
        <div style="color:white; font-size: 12px;"><b>Total No of Site</b><br><h1 style="color:white;">569</h1></div>
        </b-row>
        <br>
        <br>
        <b-row>
          <div style="color:white; font-size: 12px;"><b>Total Site Turn-On</b><br><h1 style="color:white;">216</h1></div>
        </b-row>
      </b-col>
    </b-row>
  </card>
</template>
<script>
  import { BaseProgress } from '@/components';
  import VueApexCharts from 'vue-apexcharts';
  import { Table, TableColumn, DropdownMenu, DropdownItem, Dropdown} from 'element-ui'
  import {LoginURL, clientId, clientSecret, apiDomain, getHeader, getcurrentDate} from '@/assets/js/config.js'
  import axios from 'axios'
  import ErrorFunctionMixin from '@/assets/js/errorFunctionMix.js'

  export default {
    mixins: [ErrorFunctionMixin],
    components: {
      BaseProgress,
      "apexchart": VueApexCharts,
      [Table.name]: Table,
      [TableColumn.name]: TableColumn,
      [Dropdown.name]: Dropdown,
      [DropdownItem.name]: DropdownItem,
      [DropdownMenu.name]: DropdownMenu,
    },
    created()
    {
      axios.get(apiDomain + 'project/project.consolidated/1', { headers: getHeader() })
      .then ( response => {
        if (response.status === 200)
        {
          //var abc = ["Design", "Hoisting", "Installation", "Testing & Commissioning", "Turn-On", "Overdue"];

          this.series = response.data.data.series
          this.ChartOptions = {
            labels : response.data.data.label
          }
        }
      })
      .catch ( error => {
        console.log(error.response.status)
        this.errorFunction(error, "Project Information")
      } );
      //this.ChartOptions.labels
    },
    data() {
      return {
        //series: [ 61, 72, 84, 80, 216, 56 ],
        series: [],
        //label: ["Design", "Hoisting", "Installation", "Testing & Commissioning", "Turn-On", "Overdue"],
        ChartOptions:
        {
            colors: ['#5fc7bc', '#bc5fc7', '#119ee1', '#EADE1F', '#0c765a',  '#ef8215', '#F43314', '#BA4A00'],
            chart: {
            width: 380,
            height: 100,
            type: 'pie',
            },
            plotOptions: {
              pie: {
              startAngle: -90,
              endAngle: 270,
              },
            },
            //labels: ["Design", "Hoisting", "Installation", "Testing & Commissioning", "Turn-On", "Overdue"],
            labels: [],
            dataLabels: {
            enabled: true,
            },
            fill: {
            // type: 'gradient',
            },

            legend: {
            formatter: function(val, opts) {
            return val + " - " + opts.w.globals.series[opts.seriesIndex]
            },
            labels: {
            colors: ['white'],
            useSeriesColors: false
            },
          position: 'bottom'
          },
          title: {
          text: ''
          },
        },
      }
    }

  }
</script>
<style>
</style>
